# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::DiracByteStats Class Reference

Class DiracByteStats - for collecting statistics on aspects of the Dirac byte-stream.

`#include <dirac_byte_stats.h>`

List of all members.

## Public Member Functions

- DiracByteStats ()
    Constructor.
- DiracByteStats (const DiracByteStats &dirac_byte_stats)
    Copy constructor.
- ~DiracByteStats ()
    Destructor.
- void Clear ()
    Clears data.
- int GetBitCount (const StatType &stat_type) const
    Gets number of bits for a particular stat-type.
- int GetByteCount (const StatType &stat_type) const
    Gets number of bytes for a particular stat-type.
- void SetByteCount (const StatType &stat_type, int count)
    Sets number of bytes for a particular stat-type.

## Private Attributes

- std::map< StatType, int > m_byte_count
    Map of byte-counts.

## Constructor & Destructor Documentation

dirac::DiracByteStats::DiracByteStats | ( |  | ) |

dirac::DiracByteStats::DiracByteStats | ( | const DiracByteStats & | dirac_byte_stats | ) |

dirac::DiracByteStats::~DiracByteStats | ( |  | ) |

## Member Function Documentation

void dirac::DiracByteStats::Clear | ( |  | ) |

Referenced by dirac::ByteIO::CollateByteStats().

int dirac::DiracByteStats::GetBitCount | ( | const StatType & | stat_type | ) | const

int dirac::DiracByteStats::GetByteCount | ( | const StatType & | stat_type | ) | const

void dirac::DiracByteStats::SetByteCount | ( | const StatType & | stat_type,
|  | int | count |
| ) |  |  |

## Member Data Documentation

std::map<StatType, int> dirac::DiracByteStats::m_byte_count `[private]`

The documentation for this class was generated from the following file:

- dirac_byte_stats.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.